--- old/usr/src/boot/sys/boot/efi/boot1/Makefile	2016-10-02 07:54:34.408190859 +0100
+++ new/usr/src/boot/sys/boot/efi/boot1/Makefile	2016-10-02 07:54:34.415531492 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -66,7 +67,8 @@
 LDFLAGS +=	-shared --hash-style=both --enable-new-dtags
 LDFLAGS +=	-T${LDSCRIPT} -Bsymbolic
 
-all: machine x86 boot1.efi
+all: boot1.efi
+
 install: all $(ROOTBOOTFILES)
 
 #
@@ -110,6 +112,8 @@
 	$(RM) x86
 	$(SYMLINK) ./../../../x86/include x86
 
+$(OBJS): machine x86
+
 clean clobber:
 	$(RM) $(CLEANFILES) $(OBJS)
 
--- old/usr/src/boot/sys/boot/efi/libefi/Makefile	2016-10-02 07:54:34.620623638 +0100
+++ new/usr/src/boot/sys/boot/efi/libefi/Makefile	2016-10-02 07:54:34.630286977 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -19,7 +20,8 @@
 
 LIB=	efi
 
-all:	machine x86 lib$(LIB).a
+all:	lib$(LIB).a
+
 install:
 
 SRCS=	delay.c efi_console.c efinet.c efipart.c errno.c handles.c \
@@ -66,3 +68,5 @@
 x86:
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
+
+$(OBJS): machine x86
--- old/usr/src/boot/sys/boot/efi/loader/Makefile	2016-10-02 07:54:34.817694869 +0100
+++ new/usr/src/boot/sys/boot/efi/loader/Makefile	2016-10-02 07:54:34.827434559 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -88,7 +89,8 @@
 
 NEWVERSWHAT=	"EFI loader" ${MACHINE}
 
-all: machine x86 loader.efi
+all: loader.efi
+
 install: all $(ROOTBOOTFILES)
 
 vers.c:	../../common/newvers.sh ../../efi/loader/version
@@ -117,8 +119,6 @@
 loader.sym:	$(OBJS) $(DPADD)
 	$(LD) $(LDFLAGS) -o $@ $(OBJS) $(LDADD)
 
-beforedepend ${OBJS}: machine
-
 CLEANFILES +=   machine x86
 
 machine:
@@ -129,6 +129,8 @@
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
 
+$(OBJS): machine x86
+
 clean clobber:
 	$(RM) $(CLEANFILES) $(OBJS) loader.sym loader.efi
 
--- old/usr/src/boot/sys/boot/ficl/Makefile.inc	2016-10-02 07:54:35.021280012 +0100
+++ new/usr/src/boot/sys/boot/ficl/Makefile.inc	2016-10-02 07:54:35.031069887 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 
@@ -36,7 +37,7 @@
 MAJOR = 4
 MINOR = 1.0
 
-lib: machine x86 libficl.a
+lib: libficl.a
 
 # static library build
 libficl.a: $(OBJECTS)
@@ -50,6 +51,8 @@
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
 
+$(OBJECTS): machine x86
+
 %.o:	../softcore/%.c $(HEADERS)
 	$(COMPILE.c) $<
 
--- old/usr/src/boot/sys/boot/i386/gptzfsboot/Makefile	2016-10-02 07:54:35.217992305 +0100
+++ new/usr/src/boot/sys/boot/i386/gptzfsboot/Makefile	2016-10-02 07:54:35.226244584 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 #
@@ -73,7 +74,7 @@
 
 .PARALLEL:
 
-all: machine x86 $(PROG)
+all: $(PROG)
 
 install: all $(ROOTBOOTPROG)
 
@@ -112,6 +113,8 @@
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
 
+$(OBJS): machine x86
+
 %.o:	../common/%.c
 	$(COMPILE.c) -o $@ $<
 
--- old/usr/src/boot/sys/boot/i386/libi386/Makefile	2016-10-02 07:54:35.421750846 +0100
+++ new/usr/src/boot/sys/boot/i386/libi386/Makefile	2016-10-02 07:54:35.431056443 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -19,7 +20,7 @@
 CFLAGS += -DLOADER_ZFS_SUPPORT
 CPPFLAGS=
 
-all: machine x86 libi386.a
+all: libi386.a
 
 clean: clobber
 clobber:
@@ -105,7 +106,9 @@
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
 
-libi386.a: machine $(OBJS)
+$(OBJS): machine x86
+
+libi386.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $(OBJS)
 
 %.o:	$(LIBZFS)/%.c
--- old/usr/src/boot/sys/boot/i386/loader/Makefile	2016-10-02 07:54:35.612167845 +0100
+++ new/usr/src/boot/sys/boot/i386/loader/Makefile	2016-10-02 07:54:35.619865179 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -42,7 +43,7 @@
 ROOTBOOTDEFAULTS=$(DEFFILES:%=$(ROOT_BOOT_DEFAULTS)/%)
 FILEMODE=0444
 
-all: machine x86 ${LOADER} loader.help
+all: ${LOADER} loader.help
 
 install: all $(ROOTBOOTLOADER)
 
@@ -145,6 +146,8 @@
 
 OBJS=		$(SRCS:%.c=%.o)
 
+${OBJS}: machine x86
+
 ${PROG}: ${OBJS} $(LDADD)
 	$(LD) $(LDFLAGS) -o $@ $(BTXCRT) $(OBJS) $(LDADD)
 
--- old/usr/src/boot/sys/boot/libstand/Makefile.com	2016-10-02 07:54:35.806246353 +0100
+++ new/usr/src/boot/sys/boot/libstand/Makefile.com	2016-10-02 07:54:35.813652792 +0100
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
@@ -21,7 +22,7 @@
 
 LIBRARY=	libstand.a
 
-all install: machine x86 $(LIBRARY)
+all install: $(LIBRARY)
 
 LIB_BASE=	$(SRC)/boot/lib
 LIBSTAND_SRC=	$(LIB_BASE)/libstand
@@ -54,6 +55,8 @@
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
 
+$(OBJS): machine x86
+
 %.o:	$(LIBSTAND_SRC)/%.c
 	$(COMPILE.c) $<
 
--- old/usr/src/boot/sys/boot/zfs/Makefile.com	2016-10-02 07:54:36.001424190 +0100
+++ new/usr/src/boot/sys/boot/zfs/Makefile.com	2016-10-02 07:54:36.009156310 +0100
@@ -11,13 +11,15 @@
 
 #
 # Copyright 2016 Toomas Soome <tsoome@me.com>
+# Copyright 2016 RackTop Systems.
 #
 
 include $(SRC)/Makefile.master
 
 LIB=		zfsboot
 
-all: machine x86 libzfsboot.a
+all: libzfsboot.a
+
 clean: clobber
 
 clobber:
@@ -49,6 +51,8 @@
 	$(RM) x86
 	$(SYMLINK) ../../../x86/include x86
 
+$(OBJS): machine x86
+
 libzfsboot.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $(OBJS)
 
